{-# OPTIONS_GHC -fno-warn-missing-fields #-}

-- |
-- Copyright  : Copyright (c) 2008, Emil Axelsson
-- License    : BSD3
-- Maintainer : Emil Axelsson <emax@chalmers.se>
-- Stability  : experimental
--
-- Timing interface to the Nangate45 library.
--
-- The data in this file is derived from Nangate's Open Cell Library,
-- and is subject to the license restrictions stated in
-- "Libs.Nangate45.LICENSE".
module Libs.Nangate45.Timing where

import Foreign.C

import Data.Hardware.Internal
import Analysis.Timing.Library

foreign import ccall "timing.h lookTrAxis_AND2_X1_A1_ZN_risingDelay" lookTrAxis_AND2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A1_ZN_risingDelay" lookCapAxis_AND2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A1_ZN_risingDelay" lookTable_AND2_X1_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_AND2_X1_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X1_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X1_A1_ZN_risingDelay lookCapAxis_AND2_X1_A1_ZN_risingDelay lookTable_AND2_X1_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X1_A1_ZN_fallingDelay" lookTrAxis_AND2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A1_ZN_fallingDelay" lookCapAxis_AND2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A1_ZN_fallingDelay" lookTable_AND2_X1_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_AND2_X1_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X1_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X1_A1_ZN_fallingDelay lookCapAxis_AND2_X1_A1_ZN_fallingDelay lookTable_AND2_X1_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X1_A1_ZN_risingTransition" lookTrAxis_AND2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A1_ZN_risingTransition" lookCapAxis_AND2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A1_ZN_risingTransition" lookTable_AND2_X1_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_AND2_X1_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X1_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X1_A1_ZN_risingTransition lookCapAxis_AND2_X1_A1_ZN_risingTransition lookTable_AND2_X1_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X1_A1_ZN_fallingTransition" lookTrAxis_AND2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A1_ZN_fallingTransition" lookCapAxis_AND2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A1_ZN_fallingTransition" lookTable_AND2_X1_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_AND2_X1_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X1_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X1_A1_ZN_fallingTransition lookCapAxis_AND2_X1_A1_ZN_fallingTransition lookTable_AND2_X1_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X1_A2_ZN_risingDelay" lookTrAxis_AND2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A2_ZN_risingDelay" lookCapAxis_AND2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A2_ZN_risingDelay" lookTable_AND2_X1_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_AND2_X1_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X1_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X1_A2_ZN_risingDelay lookCapAxis_AND2_X1_A2_ZN_risingDelay lookTable_AND2_X1_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X1_A2_ZN_fallingDelay" lookTrAxis_AND2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A2_ZN_fallingDelay" lookCapAxis_AND2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A2_ZN_fallingDelay" lookTable_AND2_X1_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_AND2_X1_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X1_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X1_A2_ZN_fallingDelay lookCapAxis_AND2_X1_A2_ZN_fallingDelay lookTable_AND2_X1_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X1_A2_ZN_risingTransition" lookTrAxis_AND2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A2_ZN_risingTransition" lookCapAxis_AND2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A2_ZN_risingTransition" lookTable_AND2_X1_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_AND2_X1_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X1_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X1_A2_ZN_risingTransition lookCapAxis_AND2_X1_A2_ZN_risingTransition lookTable_AND2_X1_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X1_A2_ZN_fallingTransition" lookTrAxis_AND2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X1_A2_ZN_fallingTransition" lookCapAxis_AND2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X1_A2_ZN_fallingTransition" lookTable_AND2_X1_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_AND2_X1_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X1_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X1_A2_ZN_fallingTransition lookCapAxis_AND2_X1_A2_ZN_fallingTransition lookTable_AND2_X1_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X2_A1_ZN_risingDelay" lookTrAxis_AND2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A1_ZN_risingDelay" lookCapAxis_AND2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A1_ZN_risingDelay" lookTable_AND2_X2_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_AND2_X2_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X2_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X2_A1_ZN_risingDelay lookCapAxis_AND2_X2_A1_ZN_risingDelay lookTable_AND2_X2_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X2_A1_ZN_fallingDelay" lookTrAxis_AND2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A1_ZN_fallingDelay" lookCapAxis_AND2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A1_ZN_fallingDelay" lookTable_AND2_X2_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_AND2_X2_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X2_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X2_A1_ZN_fallingDelay lookCapAxis_AND2_X2_A1_ZN_fallingDelay lookTable_AND2_X2_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X2_A1_ZN_risingTransition" lookTrAxis_AND2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A1_ZN_risingTransition" lookCapAxis_AND2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A1_ZN_risingTransition" lookTable_AND2_X2_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_AND2_X2_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X2_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X2_A1_ZN_risingTransition lookCapAxis_AND2_X2_A1_ZN_risingTransition lookTable_AND2_X2_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X2_A1_ZN_fallingTransition" lookTrAxis_AND2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A1_ZN_fallingTransition" lookCapAxis_AND2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A1_ZN_fallingTransition" lookTable_AND2_X2_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_AND2_X2_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X2_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X2_A1_ZN_fallingTransition lookCapAxis_AND2_X2_A1_ZN_fallingTransition lookTable_AND2_X2_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X2_A2_ZN_risingDelay" lookTrAxis_AND2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A2_ZN_risingDelay" lookCapAxis_AND2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A2_ZN_risingDelay" lookTable_AND2_X2_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_AND2_X2_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X2_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X2_A2_ZN_risingDelay lookCapAxis_AND2_X2_A2_ZN_risingDelay lookTable_AND2_X2_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X2_A2_ZN_fallingDelay" lookTrAxis_AND2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A2_ZN_fallingDelay" lookCapAxis_AND2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A2_ZN_fallingDelay" lookTable_AND2_X2_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_AND2_X2_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X2_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X2_A2_ZN_fallingDelay lookCapAxis_AND2_X2_A2_ZN_fallingDelay lookTable_AND2_X2_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X2_A2_ZN_risingTransition" lookTrAxis_AND2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A2_ZN_risingTransition" lookCapAxis_AND2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A2_ZN_risingTransition" lookTable_AND2_X2_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_AND2_X2_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X2_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X2_A2_ZN_risingTransition lookCapAxis_AND2_X2_A2_ZN_risingTransition lookTable_AND2_X2_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X2_A2_ZN_fallingTransition" lookTrAxis_AND2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X2_A2_ZN_fallingTransition" lookCapAxis_AND2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X2_A2_ZN_fallingTransition" lookTable_AND2_X2_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_AND2_X2_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X2_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X2_A2_ZN_fallingTransition lookCapAxis_AND2_X2_A2_ZN_fallingTransition lookTable_AND2_X2_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X4_A1_ZN_risingDelay" lookTrAxis_AND2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A1_ZN_risingDelay" lookCapAxis_AND2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A1_ZN_risingDelay" lookTable_AND2_X4_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_AND2_X4_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X4_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X4_A1_ZN_risingDelay lookCapAxis_AND2_X4_A1_ZN_risingDelay lookTable_AND2_X4_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X4_A1_ZN_fallingDelay" lookTrAxis_AND2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A1_ZN_fallingDelay" lookCapAxis_AND2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A1_ZN_fallingDelay" lookTable_AND2_X4_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_AND2_X4_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X4_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X4_A1_ZN_fallingDelay lookCapAxis_AND2_X4_A1_ZN_fallingDelay lookTable_AND2_X4_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X4_A1_ZN_risingTransition" lookTrAxis_AND2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A1_ZN_risingTransition" lookCapAxis_AND2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A1_ZN_risingTransition" lookTable_AND2_X4_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_AND2_X4_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X4_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X4_A1_ZN_risingTransition lookCapAxis_AND2_X4_A1_ZN_risingTransition lookTable_AND2_X4_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X4_A1_ZN_fallingTransition" lookTrAxis_AND2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A1_ZN_fallingTransition" lookCapAxis_AND2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A1_ZN_fallingTransition" lookTable_AND2_X4_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_AND2_X4_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X4_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X4_A1_ZN_fallingTransition lookCapAxis_AND2_X4_A1_ZN_fallingTransition lookTable_AND2_X4_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X4_A2_ZN_risingDelay" lookTrAxis_AND2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A2_ZN_risingDelay" lookCapAxis_AND2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A2_ZN_risingDelay" lookTable_AND2_X4_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_AND2_X4_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X4_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X4_A2_ZN_risingDelay lookCapAxis_AND2_X4_A2_ZN_risingDelay lookTable_AND2_X4_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X4_A2_ZN_fallingDelay" lookTrAxis_AND2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A2_ZN_fallingDelay" lookCapAxis_AND2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A2_ZN_fallingDelay" lookTable_AND2_X4_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_AND2_X4_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_AND2_X4_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_AND2_X4_A2_ZN_fallingDelay lookCapAxis_AND2_X4_A2_ZN_fallingDelay lookTable_AND2_X4_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_AND2_X4_A2_ZN_risingTransition" lookTrAxis_AND2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A2_ZN_risingTransition" lookCapAxis_AND2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A2_ZN_risingTransition" lookTable_AND2_X4_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_AND2_X4_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X4_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X4_A2_ZN_risingTransition lookCapAxis_AND2_X4_A2_ZN_risingTransition lookTable_AND2_X4_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_AND2_X4_A2_ZN_fallingTransition" lookTrAxis_AND2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_AND2_X4_A2_ZN_fallingTransition" lookCapAxis_AND2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_AND2_X4_A2_ZN_fallingTransition" lookTable_AND2_X4_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_AND2_X4_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_AND2_X4_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_AND2_X4_A2_ZN_fallingTransition lookCapAxis_AND2_X4_A2_ZN_fallingTransition lookTable_AND2_X4_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X1_A_Z_risingDelay" lookTrAxis_BUF_X1_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X1_A_Z_risingDelay" lookCapAxis_BUF_X1_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X1_A_Z_risingDelay" lookTable_BUF_X1_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_BUF_X1_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X1_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X1_A_Z_risingDelay lookCapAxis_BUF_X1_A_Z_risingDelay lookTable_BUF_X1_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X1_A_Z_fallingDelay" lookTrAxis_BUF_X1_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X1_A_Z_fallingDelay" lookCapAxis_BUF_X1_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X1_A_Z_fallingDelay" lookTable_BUF_X1_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_BUF_X1_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X1_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X1_A_Z_fallingDelay lookCapAxis_BUF_X1_A_Z_fallingDelay lookTable_BUF_X1_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X1_A_Z_risingTransition" lookTrAxis_BUF_X1_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X1_A_Z_risingTransition" lookCapAxis_BUF_X1_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X1_A_Z_risingTransition" lookTable_BUF_X1_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_BUF_X1_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X1_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X1_A_Z_risingTransition lookCapAxis_BUF_X1_A_Z_risingTransition lookTable_BUF_X1_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X1_A_Z_fallingTransition" lookTrAxis_BUF_X1_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X1_A_Z_fallingTransition" lookCapAxis_BUF_X1_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X1_A_Z_fallingTransition" lookTable_BUF_X1_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_BUF_X1_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X1_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X1_A_Z_fallingTransition lookCapAxis_BUF_X1_A_Z_fallingTransition lookTable_BUF_X1_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X16_A_Z_risingDelay" lookTrAxis_BUF_X16_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X16_A_Z_risingDelay" lookCapAxis_BUF_X16_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X16_A_Z_risingDelay" lookTable_BUF_X16_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_BUF_X16_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X16_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X16_A_Z_risingDelay lookCapAxis_BUF_X16_A_Z_risingDelay lookTable_BUF_X16_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X16_A_Z_fallingDelay" lookTrAxis_BUF_X16_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X16_A_Z_fallingDelay" lookCapAxis_BUF_X16_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X16_A_Z_fallingDelay" lookTable_BUF_X16_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_BUF_X16_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X16_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X16_A_Z_fallingDelay lookCapAxis_BUF_X16_A_Z_fallingDelay lookTable_BUF_X16_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X16_A_Z_risingTransition" lookTrAxis_BUF_X16_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X16_A_Z_risingTransition" lookCapAxis_BUF_X16_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X16_A_Z_risingTransition" lookTable_BUF_X16_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_BUF_X16_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X16_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X16_A_Z_risingTransition lookCapAxis_BUF_X16_A_Z_risingTransition lookTable_BUF_X16_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X16_A_Z_fallingTransition" lookTrAxis_BUF_X16_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X16_A_Z_fallingTransition" lookCapAxis_BUF_X16_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X16_A_Z_fallingTransition" lookTable_BUF_X16_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_BUF_X16_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X16_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X16_A_Z_fallingTransition lookCapAxis_BUF_X16_A_Z_fallingTransition lookTable_BUF_X16_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X2_A_Z_risingDelay" lookTrAxis_BUF_X2_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X2_A_Z_risingDelay" lookCapAxis_BUF_X2_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X2_A_Z_risingDelay" lookTable_BUF_X2_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_BUF_X2_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X2_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X2_A_Z_risingDelay lookCapAxis_BUF_X2_A_Z_risingDelay lookTable_BUF_X2_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X2_A_Z_fallingDelay" lookTrAxis_BUF_X2_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X2_A_Z_fallingDelay" lookCapAxis_BUF_X2_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X2_A_Z_fallingDelay" lookTable_BUF_X2_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_BUF_X2_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X2_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X2_A_Z_fallingDelay lookCapAxis_BUF_X2_A_Z_fallingDelay lookTable_BUF_X2_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X2_A_Z_risingTransition" lookTrAxis_BUF_X2_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X2_A_Z_risingTransition" lookCapAxis_BUF_X2_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X2_A_Z_risingTransition" lookTable_BUF_X2_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_BUF_X2_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X2_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X2_A_Z_risingTransition lookCapAxis_BUF_X2_A_Z_risingTransition lookTable_BUF_X2_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X2_A_Z_fallingTransition" lookTrAxis_BUF_X2_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X2_A_Z_fallingTransition" lookCapAxis_BUF_X2_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X2_A_Z_fallingTransition" lookTable_BUF_X2_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_BUF_X2_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X2_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X2_A_Z_fallingTransition lookCapAxis_BUF_X2_A_Z_fallingTransition lookTable_BUF_X2_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X32_A_Z_risingDelay" lookTrAxis_BUF_X32_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X32_A_Z_risingDelay" lookCapAxis_BUF_X32_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X32_A_Z_risingDelay" lookTable_BUF_X32_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_BUF_X32_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X32_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X32_A_Z_risingDelay lookCapAxis_BUF_X32_A_Z_risingDelay lookTable_BUF_X32_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X32_A_Z_fallingDelay" lookTrAxis_BUF_X32_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X32_A_Z_fallingDelay" lookCapAxis_BUF_X32_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X32_A_Z_fallingDelay" lookTable_BUF_X32_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_BUF_X32_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X32_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X32_A_Z_fallingDelay lookCapAxis_BUF_X32_A_Z_fallingDelay lookTable_BUF_X32_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X32_A_Z_risingTransition" lookTrAxis_BUF_X32_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X32_A_Z_risingTransition" lookCapAxis_BUF_X32_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X32_A_Z_risingTransition" lookTable_BUF_X32_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_BUF_X32_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X32_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X32_A_Z_risingTransition lookCapAxis_BUF_X32_A_Z_risingTransition lookTable_BUF_X32_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X32_A_Z_fallingTransition" lookTrAxis_BUF_X32_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X32_A_Z_fallingTransition" lookCapAxis_BUF_X32_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X32_A_Z_fallingTransition" lookTable_BUF_X32_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_BUF_X32_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X32_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X32_A_Z_fallingTransition lookCapAxis_BUF_X32_A_Z_fallingTransition lookTable_BUF_X32_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X4_A_Z_risingDelay" lookTrAxis_BUF_X4_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X4_A_Z_risingDelay" lookCapAxis_BUF_X4_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X4_A_Z_risingDelay" lookTable_BUF_X4_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_BUF_X4_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X4_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X4_A_Z_risingDelay lookCapAxis_BUF_X4_A_Z_risingDelay lookTable_BUF_X4_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X4_A_Z_fallingDelay" lookTrAxis_BUF_X4_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X4_A_Z_fallingDelay" lookCapAxis_BUF_X4_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X4_A_Z_fallingDelay" lookTable_BUF_X4_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_BUF_X4_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X4_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X4_A_Z_fallingDelay lookCapAxis_BUF_X4_A_Z_fallingDelay lookTable_BUF_X4_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X4_A_Z_risingTransition" lookTrAxis_BUF_X4_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X4_A_Z_risingTransition" lookCapAxis_BUF_X4_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X4_A_Z_risingTransition" lookTable_BUF_X4_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_BUF_X4_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X4_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X4_A_Z_risingTransition lookCapAxis_BUF_X4_A_Z_risingTransition lookTable_BUF_X4_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X4_A_Z_fallingTransition" lookTrAxis_BUF_X4_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X4_A_Z_fallingTransition" lookCapAxis_BUF_X4_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X4_A_Z_fallingTransition" lookTable_BUF_X4_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_BUF_X4_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X4_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X4_A_Z_fallingTransition lookCapAxis_BUF_X4_A_Z_fallingTransition lookTable_BUF_X4_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X8_A_Z_risingDelay" lookTrAxis_BUF_X8_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X8_A_Z_risingDelay" lookCapAxis_BUF_X8_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X8_A_Z_risingDelay" lookTable_BUF_X8_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_BUF_X8_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X8_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X8_A_Z_risingDelay lookCapAxis_BUF_X8_A_Z_risingDelay lookTable_BUF_X8_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X8_A_Z_fallingDelay" lookTrAxis_BUF_X8_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X8_A_Z_fallingDelay" lookCapAxis_BUF_X8_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X8_A_Z_fallingDelay" lookTable_BUF_X8_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_BUF_X8_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_BUF_X8_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_BUF_X8_A_Z_fallingDelay lookCapAxis_BUF_X8_A_Z_fallingDelay lookTable_BUF_X8_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_BUF_X8_A_Z_risingTransition" lookTrAxis_BUF_X8_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X8_A_Z_risingTransition" lookCapAxis_BUF_X8_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X8_A_Z_risingTransition" lookTable_BUF_X8_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_BUF_X8_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X8_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X8_A_Z_risingTransition lookCapAxis_BUF_X8_A_Z_risingTransition lookTable_BUF_X8_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_BUF_X8_A_Z_fallingTransition" lookTrAxis_BUF_X8_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_BUF_X8_A_Z_fallingTransition" lookCapAxis_BUF_X8_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_BUF_X8_A_Z_fallingTransition" lookTable_BUF_X8_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_BUF_X8_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_BUF_X8_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_BUF_X8_A_Z_fallingTransition lookCapAxis_BUF_X8_A_Z_fallingTransition lookTable_BUF_X8_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_A_CO_risingDelay" lookTrAxis_FA_X1_A_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_CO_risingDelay" lookCapAxis_FA_X1_A_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_CO_risingDelay" lookTable_FA_X1_A_CO_risingDelay :: CInt -> CInt -> CDouble
table_FA_X1_A_CO_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_A_CO_risingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_A_CO_risingDelay lookCapAxis_FA_X1_A_CO_risingDelay lookTable_FA_X1_A_CO_risingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_A_CO_fallingDelay" lookTrAxis_FA_X1_A_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_CO_fallingDelay" lookCapAxis_FA_X1_A_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_CO_fallingDelay" lookTable_FA_X1_A_CO_fallingDelay :: CInt -> CInt -> CDouble
table_FA_X1_A_CO_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_A_CO_fallingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_A_CO_fallingDelay lookCapAxis_FA_X1_A_CO_fallingDelay lookTable_FA_X1_A_CO_fallingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_A_CO_risingTransition" lookTrAxis_FA_X1_A_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_CO_risingTransition" lookCapAxis_FA_X1_A_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_CO_risingTransition" lookTable_FA_X1_A_CO_risingTransition :: CInt -> CInt -> CDouble
table_FA_X1_A_CO_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_A_CO_risingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_A_CO_risingTransition lookCapAxis_FA_X1_A_CO_risingTransition lookTable_FA_X1_A_CO_risingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_A_CO_fallingTransition" lookTrAxis_FA_X1_A_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_CO_fallingTransition" lookCapAxis_FA_X1_A_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_CO_fallingTransition" lookTable_FA_X1_A_CO_fallingTransition :: CInt -> CInt -> CDouble
table_FA_X1_A_CO_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_A_CO_fallingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_A_CO_fallingTransition lookCapAxis_FA_X1_A_CO_fallingTransition lookTable_FA_X1_A_CO_fallingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_A_S_risingDelay" lookTrAxis_FA_X1_A_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_S_risingDelay" lookCapAxis_FA_X1_A_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_S_risingDelay" lookTable_FA_X1_A_S_risingDelay :: CInt -> CInt -> CDouble
table_FA_X1_A_S_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_A_S_risingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_A_S_risingDelay lookCapAxis_FA_X1_A_S_risingDelay lookTable_FA_X1_A_S_risingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_A_S_fallingDelay" lookTrAxis_FA_X1_A_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_S_fallingDelay" lookCapAxis_FA_X1_A_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_S_fallingDelay" lookTable_FA_X1_A_S_fallingDelay :: CInt -> CInt -> CDouble
table_FA_X1_A_S_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_A_S_fallingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_A_S_fallingDelay lookCapAxis_FA_X1_A_S_fallingDelay lookTable_FA_X1_A_S_fallingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_A_S_risingTransition" lookTrAxis_FA_X1_A_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_S_risingTransition" lookCapAxis_FA_X1_A_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_S_risingTransition" lookTable_FA_X1_A_S_risingTransition :: CInt -> CInt -> CDouble
table_FA_X1_A_S_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_A_S_risingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_A_S_risingTransition lookCapAxis_FA_X1_A_S_risingTransition lookTable_FA_X1_A_S_risingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_A_S_fallingTransition" lookTrAxis_FA_X1_A_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_A_S_fallingTransition" lookCapAxis_FA_X1_A_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_A_S_fallingTransition" lookTable_FA_X1_A_S_fallingTransition :: CInt -> CInt -> CDouble
table_FA_X1_A_S_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_A_S_fallingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_A_S_fallingTransition lookCapAxis_FA_X1_A_S_fallingTransition lookTable_FA_X1_A_S_fallingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_B_CO_risingDelay" lookTrAxis_FA_X1_B_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_CO_risingDelay" lookCapAxis_FA_X1_B_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_CO_risingDelay" lookTable_FA_X1_B_CO_risingDelay :: CInt -> CInt -> CDouble
table_FA_X1_B_CO_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_B_CO_risingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_B_CO_risingDelay lookCapAxis_FA_X1_B_CO_risingDelay lookTable_FA_X1_B_CO_risingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_B_CO_fallingDelay" lookTrAxis_FA_X1_B_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_CO_fallingDelay" lookCapAxis_FA_X1_B_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_CO_fallingDelay" lookTable_FA_X1_B_CO_fallingDelay :: CInt -> CInt -> CDouble
table_FA_X1_B_CO_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_B_CO_fallingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_B_CO_fallingDelay lookCapAxis_FA_X1_B_CO_fallingDelay lookTable_FA_X1_B_CO_fallingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_B_CO_risingTransition" lookTrAxis_FA_X1_B_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_CO_risingTransition" lookCapAxis_FA_X1_B_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_CO_risingTransition" lookTable_FA_X1_B_CO_risingTransition :: CInt -> CInt -> CDouble
table_FA_X1_B_CO_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_B_CO_risingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_B_CO_risingTransition lookCapAxis_FA_X1_B_CO_risingTransition lookTable_FA_X1_B_CO_risingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_B_CO_fallingTransition" lookTrAxis_FA_X1_B_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_CO_fallingTransition" lookCapAxis_FA_X1_B_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_CO_fallingTransition" lookTable_FA_X1_B_CO_fallingTransition :: CInt -> CInt -> CDouble
table_FA_X1_B_CO_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_B_CO_fallingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_B_CO_fallingTransition lookCapAxis_FA_X1_B_CO_fallingTransition lookTable_FA_X1_B_CO_fallingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_B_S_risingDelay" lookTrAxis_FA_X1_B_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_S_risingDelay" lookCapAxis_FA_X1_B_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_S_risingDelay" lookTable_FA_X1_B_S_risingDelay :: CInt -> CInt -> CDouble
table_FA_X1_B_S_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_B_S_risingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_B_S_risingDelay lookCapAxis_FA_X1_B_S_risingDelay lookTable_FA_X1_B_S_risingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_B_S_fallingDelay" lookTrAxis_FA_X1_B_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_S_fallingDelay" lookCapAxis_FA_X1_B_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_S_fallingDelay" lookTable_FA_X1_B_S_fallingDelay :: CInt -> CInt -> CDouble
table_FA_X1_B_S_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_B_S_fallingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_B_S_fallingDelay lookCapAxis_FA_X1_B_S_fallingDelay lookTable_FA_X1_B_S_fallingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_B_S_risingTransition" lookTrAxis_FA_X1_B_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_S_risingTransition" lookCapAxis_FA_X1_B_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_S_risingTransition" lookTable_FA_X1_B_S_risingTransition :: CInt -> CInt -> CDouble
table_FA_X1_B_S_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_B_S_risingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_B_S_risingTransition lookCapAxis_FA_X1_B_S_risingTransition lookTable_FA_X1_B_S_risingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_B_S_fallingTransition" lookTrAxis_FA_X1_B_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_B_S_fallingTransition" lookCapAxis_FA_X1_B_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_B_S_fallingTransition" lookTable_FA_X1_B_S_fallingTransition :: CInt -> CInt -> CDouble
table_FA_X1_B_S_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_B_S_fallingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_B_S_fallingTransition lookCapAxis_FA_X1_B_S_fallingTransition lookTable_FA_X1_B_S_fallingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_CO_risingDelay" lookTrAxis_FA_X1_CI_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_CO_risingDelay" lookCapAxis_FA_X1_CI_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_CO_risingDelay" lookTable_FA_X1_CI_CO_risingDelay :: CInt -> CInt -> CDouble
table_FA_X1_CI_CO_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_CI_CO_risingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_CO_risingDelay lookCapAxis_FA_X1_CI_CO_risingDelay lookTable_FA_X1_CI_CO_risingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_CO_fallingDelay" lookTrAxis_FA_X1_CI_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_CO_fallingDelay" lookCapAxis_FA_X1_CI_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_CO_fallingDelay" lookTable_FA_X1_CI_CO_fallingDelay :: CInt -> CInt -> CDouble
table_FA_X1_CI_CO_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_CI_CO_fallingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_CO_fallingDelay lookCapAxis_FA_X1_CI_CO_fallingDelay lookTable_FA_X1_CI_CO_fallingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_CO_risingTransition" lookTrAxis_FA_X1_CI_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_CO_risingTransition" lookCapAxis_FA_X1_CI_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_CO_risingTransition" lookTable_FA_X1_CI_CO_risingTransition :: CInt -> CInt -> CDouble
table_FA_X1_CI_CO_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_CI_CO_risingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_CO_risingTransition lookCapAxis_FA_X1_CI_CO_risingTransition lookTable_FA_X1_CI_CO_risingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_CO_fallingTransition" lookTrAxis_FA_X1_CI_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_CO_fallingTransition" lookCapAxis_FA_X1_CI_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_CO_fallingTransition" lookTable_FA_X1_CI_CO_fallingTransition :: CInt -> CInt -> CDouble
table_FA_X1_CI_CO_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_CI_CO_fallingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_CO_fallingTransition lookCapAxis_FA_X1_CI_CO_fallingTransition lookTable_FA_X1_CI_CO_fallingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_S_risingDelay" lookTrAxis_FA_X1_CI_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_S_risingDelay" lookCapAxis_FA_X1_CI_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_S_risingDelay" lookTable_FA_X1_CI_S_risingDelay :: CInt -> CInt -> CDouble
table_FA_X1_CI_S_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_CI_S_risingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_S_risingDelay lookCapAxis_FA_X1_CI_S_risingDelay lookTable_FA_X1_CI_S_risingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_S_fallingDelay" lookTrAxis_FA_X1_CI_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_S_fallingDelay" lookCapAxis_FA_X1_CI_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_S_fallingDelay" lookTable_FA_X1_CI_S_fallingDelay :: CInt -> CInt -> CDouble
table_FA_X1_CI_S_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_FA_X1_CI_S_fallingDelay = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_S_fallingDelay lookCapAxis_FA_X1_CI_S_fallingDelay lookTable_FA_X1_CI_S_fallingDelay

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_S_risingTransition" lookTrAxis_FA_X1_CI_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_S_risingTransition" lookCapAxis_FA_X1_CI_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_S_risingTransition" lookTable_FA_X1_CI_S_risingTransition :: CInt -> CInt -> CDouble
table_FA_X1_CI_S_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_CI_S_risingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_S_risingTransition lookCapAxis_FA_X1_CI_S_risingTransition lookTable_FA_X1_CI_S_risingTransition

foreign import ccall "timing.h lookTrAxis_FA_X1_CI_S_fallingTransition" lookTrAxis_FA_X1_CI_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_FA_X1_CI_S_fallingTransition" lookCapAxis_FA_X1_CI_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_FA_X1_CI_S_fallingTransition" lookTable_FA_X1_CI_S_fallingTransition :: CInt -> CInt -> CDouble
table_FA_X1_CI_S_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_FA_X1_CI_S_fallingTransition = mkTimingTable 8 6 lookTrAxis_FA_X1_CI_S_fallingTransition lookCapAxis_FA_X1_CI_S_fallingTransition lookTable_FA_X1_CI_S_fallingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_A_CO_risingDelay" lookTrAxis_HA_X1_A_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_CO_risingDelay" lookCapAxis_HA_X1_A_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_CO_risingDelay" lookTable_HA_X1_A_CO_risingDelay :: CInt -> CInt -> CDouble
table_HA_X1_A_CO_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_A_CO_risingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_A_CO_risingDelay lookCapAxis_HA_X1_A_CO_risingDelay lookTable_HA_X1_A_CO_risingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_A_CO_fallingDelay" lookTrAxis_HA_X1_A_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_CO_fallingDelay" lookCapAxis_HA_X1_A_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_CO_fallingDelay" lookTable_HA_X1_A_CO_fallingDelay :: CInt -> CInt -> CDouble
table_HA_X1_A_CO_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_A_CO_fallingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_A_CO_fallingDelay lookCapAxis_HA_X1_A_CO_fallingDelay lookTable_HA_X1_A_CO_fallingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_A_CO_risingTransition" lookTrAxis_HA_X1_A_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_CO_risingTransition" lookCapAxis_HA_X1_A_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_CO_risingTransition" lookTable_HA_X1_A_CO_risingTransition :: CInt -> CInt -> CDouble
table_HA_X1_A_CO_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_A_CO_risingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_A_CO_risingTransition lookCapAxis_HA_X1_A_CO_risingTransition lookTable_HA_X1_A_CO_risingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_A_CO_fallingTransition" lookTrAxis_HA_X1_A_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_CO_fallingTransition" lookCapAxis_HA_X1_A_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_CO_fallingTransition" lookTable_HA_X1_A_CO_fallingTransition :: CInt -> CInt -> CDouble
table_HA_X1_A_CO_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_A_CO_fallingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_A_CO_fallingTransition lookCapAxis_HA_X1_A_CO_fallingTransition lookTable_HA_X1_A_CO_fallingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_A_S_risingDelay" lookTrAxis_HA_X1_A_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_S_risingDelay" lookCapAxis_HA_X1_A_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_S_risingDelay" lookTable_HA_X1_A_S_risingDelay :: CInt -> CInt -> CDouble
table_HA_X1_A_S_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_A_S_risingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_A_S_risingDelay lookCapAxis_HA_X1_A_S_risingDelay lookTable_HA_X1_A_S_risingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_A_S_fallingDelay" lookTrAxis_HA_X1_A_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_S_fallingDelay" lookCapAxis_HA_X1_A_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_S_fallingDelay" lookTable_HA_X1_A_S_fallingDelay :: CInt -> CInt -> CDouble
table_HA_X1_A_S_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_A_S_fallingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_A_S_fallingDelay lookCapAxis_HA_X1_A_S_fallingDelay lookTable_HA_X1_A_S_fallingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_A_S_risingTransition" lookTrAxis_HA_X1_A_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_S_risingTransition" lookCapAxis_HA_X1_A_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_S_risingTransition" lookTable_HA_X1_A_S_risingTransition :: CInt -> CInt -> CDouble
table_HA_X1_A_S_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_A_S_risingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_A_S_risingTransition lookCapAxis_HA_X1_A_S_risingTransition lookTable_HA_X1_A_S_risingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_A_S_fallingTransition" lookTrAxis_HA_X1_A_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_A_S_fallingTransition" lookCapAxis_HA_X1_A_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_A_S_fallingTransition" lookTable_HA_X1_A_S_fallingTransition :: CInt -> CInt -> CDouble
table_HA_X1_A_S_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_A_S_fallingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_A_S_fallingTransition lookCapAxis_HA_X1_A_S_fallingTransition lookTable_HA_X1_A_S_fallingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_B_CO_risingDelay" lookTrAxis_HA_X1_B_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_CO_risingDelay" lookCapAxis_HA_X1_B_CO_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_CO_risingDelay" lookTable_HA_X1_B_CO_risingDelay :: CInt -> CInt -> CDouble
table_HA_X1_B_CO_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_B_CO_risingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_B_CO_risingDelay lookCapAxis_HA_X1_B_CO_risingDelay lookTable_HA_X1_B_CO_risingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_B_CO_fallingDelay" lookTrAxis_HA_X1_B_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_CO_fallingDelay" lookCapAxis_HA_X1_B_CO_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_CO_fallingDelay" lookTable_HA_X1_B_CO_fallingDelay :: CInt -> CInt -> CDouble
table_HA_X1_B_CO_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_B_CO_fallingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_B_CO_fallingDelay lookCapAxis_HA_X1_B_CO_fallingDelay lookTable_HA_X1_B_CO_fallingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_B_CO_risingTransition" lookTrAxis_HA_X1_B_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_CO_risingTransition" lookCapAxis_HA_X1_B_CO_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_CO_risingTransition" lookTable_HA_X1_B_CO_risingTransition :: CInt -> CInt -> CDouble
table_HA_X1_B_CO_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_B_CO_risingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_B_CO_risingTransition lookCapAxis_HA_X1_B_CO_risingTransition lookTable_HA_X1_B_CO_risingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_B_CO_fallingTransition" lookTrAxis_HA_X1_B_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_CO_fallingTransition" lookCapAxis_HA_X1_B_CO_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_CO_fallingTransition" lookTable_HA_X1_B_CO_fallingTransition :: CInt -> CInt -> CDouble
table_HA_X1_B_CO_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_B_CO_fallingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_B_CO_fallingTransition lookCapAxis_HA_X1_B_CO_fallingTransition lookTable_HA_X1_B_CO_fallingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_B_S_risingDelay" lookTrAxis_HA_X1_B_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_S_risingDelay" lookCapAxis_HA_X1_B_S_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_S_risingDelay" lookTable_HA_X1_B_S_risingDelay :: CInt -> CInt -> CDouble
table_HA_X1_B_S_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_B_S_risingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_B_S_risingDelay lookCapAxis_HA_X1_B_S_risingDelay lookTable_HA_X1_B_S_risingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_B_S_fallingDelay" lookTrAxis_HA_X1_B_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_S_fallingDelay" lookCapAxis_HA_X1_B_S_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_S_fallingDelay" lookTable_HA_X1_B_S_fallingDelay :: CInt -> CInt -> CDouble
table_HA_X1_B_S_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_HA_X1_B_S_fallingDelay = mkTimingTable 8 6 lookTrAxis_HA_X1_B_S_fallingDelay lookCapAxis_HA_X1_B_S_fallingDelay lookTable_HA_X1_B_S_fallingDelay

foreign import ccall "timing.h lookTrAxis_HA_X1_B_S_risingTransition" lookTrAxis_HA_X1_B_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_S_risingTransition" lookCapAxis_HA_X1_B_S_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_S_risingTransition" lookTable_HA_X1_B_S_risingTransition :: CInt -> CInt -> CDouble
table_HA_X1_B_S_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_B_S_risingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_B_S_risingTransition lookCapAxis_HA_X1_B_S_risingTransition lookTable_HA_X1_B_S_risingTransition

foreign import ccall "timing.h lookTrAxis_HA_X1_B_S_fallingTransition" lookTrAxis_HA_X1_B_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_HA_X1_B_S_fallingTransition" lookCapAxis_HA_X1_B_S_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_HA_X1_B_S_fallingTransition" lookTable_HA_X1_B_S_fallingTransition :: CInt -> CInt -> CDouble
table_HA_X1_B_S_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_HA_X1_B_S_fallingTransition = mkTimingTable 8 6 lookTrAxis_HA_X1_B_S_fallingTransition lookCapAxis_HA_X1_B_S_fallingTransition lookTable_HA_X1_B_S_fallingTransition

foreign import ccall "timing.h lookTrAxis_INV_X1_A_ZN_risingDelay" lookTrAxis_INV_X1_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X1_A_ZN_risingDelay" lookCapAxis_INV_X1_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X1_A_ZN_risingDelay" lookTable_INV_X1_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_INV_X1_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X1_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_INV_X1_A_ZN_risingDelay lookCapAxis_INV_X1_A_ZN_risingDelay lookTable_INV_X1_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_INV_X1_A_ZN_fallingDelay" lookTrAxis_INV_X1_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X1_A_ZN_fallingDelay" lookCapAxis_INV_X1_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X1_A_ZN_fallingDelay" lookTable_INV_X1_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_INV_X1_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X1_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_INV_X1_A_ZN_fallingDelay lookCapAxis_INV_X1_A_ZN_fallingDelay lookTable_INV_X1_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_INV_X1_A_ZN_risingTransition" lookTrAxis_INV_X1_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X1_A_ZN_risingTransition" lookCapAxis_INV_X1_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X1_A_ZN_risingTransition" lookTable_INV_X1_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_INV_X1_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X1_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_INV_X1_A_ZN_risingTransition lookCapAxis_INV_X1_A_ZN_risingTransition lookTable_INV_X1_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_INV_X1_A_ZN_fallingTransition" lookTrAxis_INV_X1_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X1_A_ZN_fallingTransition" lookCapAxis_INV_X1_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X1_A_ZN_fallingTransition" lookTable_INV_X1_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_INV_X1_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X1_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_INV_X1_A_ZN_fallingTransition lookCapAxis_INV_X1_A_ZN_fallingTransition lookTable_INV_X1_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_INV_X16_A_ZN_risingDelay" lookTrAxis_INV_X16_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X16_A_ZN_risingDelay" lookCapAxis_INV_X16_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X16_A_ZN_risingDelay" lookTable_INV_X16_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_INV_X16_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X16_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_INV_X16_A_ZN_risingDelay lookCapAxis_INV_X16_A_ZN_risingDelay lookTable_INV_X16_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_INV_X16_A_ZN_fallingDelay" lookTrAxis_INV_X16_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X16_A_ZN_fallingDelay" lookCapAxis_INV_X16_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X16_A_ZN_fallingDelay" lookTable_INV_X16_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_INV_X16_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X16_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_INV_X16_A_ZN_fallingDelay lookCapAxis_INV_X16_A_ZN_fallingDelay lookTable_INV_X16_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_INV_X16_A_ZN_risingTransition" lookTrAxis_INV_X16_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X16_A_ZN_risingTransition" lookCapAxis_INV_X16_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X16_A_ZN_risingTransition" lookTable_INV_X16_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_INV_X16_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X16_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_INV_X16_A_ZN_risingTransition lookCapAxis_INV_X16_A_ZN_risingTransition lookTable_INV_X16_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_INV_X16_A_ZN_fallingTransition" lookTrAxis_INV_X16_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X16_A_ZN_fallingTransition" lookCapAxis_INV_X16_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X16_A_ZN_fallingTransition" lookTable_INV_X16_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_INV_X16_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X16_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_INV_X16_A_ZN_fallingTransition lookCapAxis_INV_X16_A_ZN_fallingTransition lookTable_INV_X16_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_INV_X2_A_ZN_risingDelay" lookTrAxis_INV_X2_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X2_A_ZN_risingDelay" lookCapAxis_INV_X2_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X2_A_ZN_risingDelay" lookTable_INV_X2_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_INV_X2_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X2_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_INV_X2_A_ZN_risingDelay lookCapAxis_INV_X2_A_ZN_risingDelay lookTable_INV_X2_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_INV_X2_A_ZN_fallingDelay" lookTrAxis_INV_X2_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X2_A_ZN_fallingDelay" lookCapAxis_INV_X2_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X2_A_ZN_fallingDelay" lookTable_INV_X2_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_INV_X2_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X2_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_INV_X2_A_ZN_fallingDelay lookCapAxis_INV_X2_A_ZN_fallingDelay lookTable_INV_X2_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_INV_X2_A_ZN_risingTransition" lookTrAxis_INV_X2_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X2_A_ZN_risingTransition" lookCapAxis_INV_X2_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X2_A_ZN_risingTransition" lookTable_INV_X2_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_INV_X2_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X2_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_INV_X2_A_ZN_risingTransition lookCapAxis_INV_X2_A_ZN_risingTransition lookTable_INV_X2_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_INV_X2_A_ZN_fallingTransition" lookTrAxis_INV_X2_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X2_A_ZN_fallingTransition" lookCapAxis_INV_X2_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X2_A_ZN_fallingTransition" lookTable_INV_X2_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_INV_X2_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X2_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_INV_X2_A_ZN_fallingTransition lookCapAxis_INV_X2_A_ZN_fallingTransition lookTable_INV_X2_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_INV_X32_A_ZN_risingDelay" lookTrAxis_INV_X32_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X32_A_ZN_risingDelay" lookCapAxis_INV_X32_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X32_A_ZN_risingDelay" lookTable_INV_X32_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_INV_X32_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X32_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_INV_X32_A_ZN_risingDelay lookCapAxis_INV_X32_A_ZN_risingDelay lookTable_INV_X32_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_INV_X32_A_ZN_fallingDelay" lookTrAxis_INV_X32_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X32_A_ZN_fallingDelay" lookCapAxis_INV_X32_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X32_A_ZN_fallingDelay" lookTable_INV_X32_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_INV_X32_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X32_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_INV_X32_A_ZN_fallingDelay lookCapAxis_INV_X32_A_ZN_fallingDelay lookTable_INV_X32_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_INV_X32_A_ZN_risingTransition" lookTrAxis_INV_X32_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X32_A_ZN_risingTransition" lookCapAxis_INV_X32_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X32_A_ZN_risingTransition" lookTable_INV_X32_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_INV_X32_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X32_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_INV_X32_A_ZN_risingTransition lookCapAxis_INV_X32_A_ZN_risingTransition lookTable_INV_X32_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_INV_X32_A_ZN_fallingTransition" lookTrAxis_INV_X32_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X32_A_ZN_fallingTransition" lookCapAxis_INV_X32_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X32_A_ZN_fallingTransition" lookTable_INV_X32_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_INV_X32_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X32_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_INV_X32_A_ZN_fallingTransition lookCapAxis_INV_X32_A_ZN_fallingTransition lookTable_INV_X32_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_INV_X4_A_ZN_risingDelay" lookTrAxis_INV_X4_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X4_A_ZN_risingDelay" lookCapAxis_INV_X4_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X4_A_ZN_risingDelay" lookTable_INV_X4_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_INV_X4_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X4_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_INV_X4_A_ZN_risingDelay lookCapAxis_INV_X4_A_ZN_risingDelay lookTable_INV_X4_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_INV_X4_A_ZN_fallingDelay" lookTrAxis_INV_X4_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X4_A_ZN_fallingDelay" lookCapAxis_INV_X4_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X4_A_ZN_fallingDelay" lookTable_INV_X4_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_INV_X4_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X4_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_INV_X4_A_ZN_fallingDelay lookCapAxis_INV_X4_A_ZN_fallingDelay lookTable_INV_X4_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_INV_X4_A_ZN_risingTransition" lookTrAxis_INV_X4_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X4_A_ZN_risingTransition" lookCapAxis_INV_X4_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X4_A_ZN_risingTransition" lookTable_INV_X4_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_INV_X4_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X4_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_INV_X4_A_ZN_risingTransition lookCapAxis_INV_X4_A_ZN_risingTransition lookTable_INV_X4_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_INV_X4_A_ZN_fallingTransition" lookTrAxis_INV_X4_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X4_A_ZN_fallingTransition" lookCapAxis_INV_X4_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X4_A_ZN_fallingTransition" lookTable_INV_X4_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_INV_X4_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X4_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_INV_X4_A_ZN_fallingTransition lookCapAxis_INV_X4_A_ZN_fallingTransition lookTable_INV_X4_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_INV_X8_A_ZN_risingDelay" lookTrAxis_INV_X8_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X8_A_ZN_risingDelay" lookCapAxis_INV_X8_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X8_A_ZN_risingDelay" lookTable_INV_X8_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_INV_X8_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X8_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_INV_X8_A_ZN_risingDelay lookCapAxis_INV_X8_A_ZN_risingDelay lookTable_INV_X8_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_INV_X8_A_ZN_fallingDelay" lookTrAxis_INV_X8_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X8_A_ZN_fallingDelay" lookCapAxis_INV_X8_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X8_A_ZN_fallingDelay" lookTable_INV_X8_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_INV_X8_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_INV_X8_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_INV_X8_A_ZN_fallingDelay lookCapAxis_INV_X8_A_ZN_fallingDelay lookTable_INV_X8_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_INV_X8_A_ZN_risingTransition" lookTrAxis_INV_X8_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X8_A_ZN_risingTransition" lookCapAxis_INV_X8_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X8_A_ZN_risingTransition" lookTable_INV_X8_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_INV_X8_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X8_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_INV_X8_A_ZN_risingTransition lookCapAxis_INV_X8_A_ZN_risingTransition lookTable_INV_X8_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_INV_X8_A_ZN_fallingTransition" lookTrAxis_INV_X8_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_INV_X8_A_ZN_fallingTransition" lookCapAxis_INV_X8_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_INV_X8_A_ZN_fallingTransition" lookTable_INV_X8_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_INV_X8_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_INV_X8_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_INV_X8_A_ZN_fallingTransition lookCapAxis_INV_X8_A_ZN_fallingTransition lookTable_INV_X8_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A1_ZN_risingDelay" lookTrAxis_NAND2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A1_ZN_risingDelay" lookCapAxis_NAND2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A1_ZN_risingDelay" lookTable_NAND2_X1_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NAND2_X1_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X1_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A1_ZN_risingDelay lookCapAxis_NAND2_X1_A1_ZN_risingDelay lookTable_NAND2_X1_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A1_ZN_fallingDelay" lookTrAxis_NAND2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A1_ZN_fallingDelay" lookCapAxis_NAND2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A1_ZN_fallingDelay" lookTable_NAND2_X1_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NAND2_X1_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X1_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A1_ZN_fallingDelay lookCapAxis_NAND2_X1_A1_ZN_fallingDelay lookTable_NAND2_X1_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A1_ZN_risingTransition" lookTrAxis_NAND2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A1_ZN_risingTransition" lookCapAxis_NAND2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A1_ZN_risingTransition" lookTable_NAND2_X1_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NAND2_X1_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X1_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A1_ZN_risingTransition lookCapAxis_NAND2_X1_A1_ZN_risingTransition lookTable_NAND2_X1_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A1_ZN_fallingTransition" lookTrAxis_NAND2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A1_ZN_fallingTransition" lookCapAxis_NAND2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A1_ZN_fallingTransition" lookTable_NAND2_X1_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NAND2_X1_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X1_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A1_ZN_fallingTransition lookCapAxis_NAND2_X1_A1_ZN_fallingTransition lookTable_NAND2_X1_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A2_ZN_risingDelay" lookTrAxis_NAND2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A2_ZN_risingDelay" lookCapAxis_NAND2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A2_ZN_risingDelay" lookTable_NAND2_X1_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NAND2_X1_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X1_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A2_ZN_risingDelay lookCapAxis_NAND2_X1_A2_ZN_risingDelay lookTable_NAND2_X1_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A2_ZN_fallingDelay" lookTrAxis_NAND2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A2_ZN_fallingDelay" lookCapAxis_NAND2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A2_ZN_fallingDelay" lookTable_NAND2_X1_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NAND2_X1_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X1_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A2_ZN_fallingDelay lookCapAxis_NAND2_X1_A2_ZN_fallingDelay lookTable_NAND2_X1_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A2_ZN_risingTransition" lookTrAxis_NAND2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A2_ZN_risingTransition" lookCapAxis_NAND2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A2_ZN_risingTransition" lookTable_NAND2_X1_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NAND2_X1_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X1_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A2_ZN_risingTransition lookCapAxis_NAND2_X1_A2_ZN_risingTransition lookTable_NAND2_X1_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X1_A2_ZN_fallingTransition" lookTrAxis_NAND2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X1_A2_ZN_fallingTransition" lookCapAxis_NAND2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X1_A2_ZN_fallingTransition" lookTable_NAND2_X1_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NAND2_X1_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X1_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X1_A2_ZN_fallingTransition lookCapAxis_NAND2_X1_A2_ZN_fallingTransition lookTable_NAND2_X1_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A1_ZN_risingDelay" lookTrAxis_NAND2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A1_ZN_risingDelay" lookCapAxis_NAND2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A1_ZN_risingDelay" lookTable_NAND2_X2_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NAND2_X2_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X2_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A1_ZN_risingDelay lookCapAxis_NAND2_X2_A1_ZN_risingDelay lookTable_NAND2_X2_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A1_ZN_fallingDelay" lookTrAxis_NAND2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A1_ZN_fallingDelay" lookCapAxis_NAND2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A1_ZN_fallingDelay" lookTable_NAND2_X2_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NAND2_X2_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X2_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A1_ZN_fallingDelay lookCapAxis_NAND2_X2_A1_ZN_fallingDelay lookTable_NAND2_X2_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A1_ZN_risingTransition" lookTrAxis_NAND2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A1_ZN_risingTransition" lookCapAxis_NAND2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A1_ZN_risingTransition" lookTable_NAND2_X2_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NAND2_X2_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X2_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A1_ZN_risingTransition lookCapAxis_NAND2_X2_A1_ZN_risingTransition lookTable_NAND2_X2_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A1_ZN_fallingTransition" lookTrAxis_NAND2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A1_ZN_fallingTransition" lookCapAxis_NAND2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A1_ZN_fallingTransition" lookTable_NAND2_X2_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NAND2_X2_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X2_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A1_ZN_fallingTransition lookCapAxis_NAND2_X2_A1_ZN_fallingTransition lookTable_NAND2_X2_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A2_ZN_risingDelay" lookTrAxis_NAND2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A2_ZN_risingDelay" lookCapAxis_NAND2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A2_ZN_risingDelay" lookTable_NAND2_X2_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NAND2_X2_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X2_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A2_ZN_risingDelay lookCapAxis_NAND2_X2_A2_ZN_risingDelay lookTable_NAND2_X2_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A2_ZN_fallingDelay" lookTrAxis_NAND2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A2_ZN_fallingDelay" lookCapAxis_NAND2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A2_ZN_fallingDelay" lookTable_NAND2_X2_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NAND2_X2_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X2_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A2_ZN_fallingDelay lookCapAxis_NAND2_X2_A2_ZN_fallingDelay lookTable_NAND2_X2_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A2_ZN_risingTransition" lookTrAxis_NAND2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A2_ZN_risingTransition" lookCapAxis_NAND2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A2_ZN_risingTransition" lookTable_NAND2_X2_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NAND2_X2_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X2_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A2_ZN_risingTransition lookCapAxis_NAND2_X2_A2_ZN_risingTransition lookTable_NAND2_X2_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X2_A2_ZN_fallingTransition" lookTrAxis_NAND2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X2_A2_ZN_fallingTransition" lookCapAxis_NAND2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X2_A2_ZN_fallingTransition" lookTable_NAND2_X2_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NAND2_X2_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X2_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X2_A2_ZN_fallingTransition lookCapAxis_NAND2_X2_A2_ZN_fallingTransition lookTable_NAND2_X2_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A1_ZN_risingDelay" lookTrAxis_NAND2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A1_ZN_risingDelay" lookCapAxis_NAND2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A1_ZN_risingDelay" lookTable_NAND2_X4_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NAND2_X4_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X4_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A1_ZN_risingDelay lookCapAxis_NAND2_X4_A1_ZN_risingDelay lookTable_NAND2_X4_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A1_ZN_fallingDelay" lookTrAxis_NAND2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A1_ZN_fallingDelay" lookCapAxis_NAND2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A1_ZN_fallingDelay" lookTable_NAND2_X4_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NAND2_X4_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X4_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A1_ZN_fallingDelay lookCapAxis_NAND2_X4_A1_ZN_fallingDelay lookTable_NAND2_X4_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A1_ZN_risingTransition" lookTrAxis_NAND2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A1_ZN_risingTransition" lookCapAxis_NAND2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A1_ZN_risingTransition" lookTable_NAND2_X4_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NAND2_X4_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X4_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A1_ZN_risingTransition lookCapAxis_NAND2_X4_A1_ZN_risingTransition lookTable_NAND2_X4_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A1_ZN_fallingTransition" lookTrAxis_NAND2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A1_ZN_fallingTransition" lookCapAxis_NAND2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A1_ZN_fallingTransition" lookTable_NAND2_X4_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NAND2_X4_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X4_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A1_ZN_fallingTransition lookCapAxis_NAND2_X4_A1_ZN_fallingTransition lookTable_NAND2_X4_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A2_ZN_risingDelay" lookTrAxis_NAND2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A2_ZN_risingDelay" lookCapAxis_NAND2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A2_ZN_risingDelay" lookTable_NAND2_X4_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NAND2_X4_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X4_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A2_ZN_risingDelay lookCapAxis_NAND2_X4_A2_ZN_risingDelay lookTable_NAND2_X4_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A2_ZN_fallingDelay" lookTrAxis_NAND2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A2_ZN_fallingDelay" lookCapAxis_NAND2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A2_ZN_fallingDelay" lookTable_NAND2_X4_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NAND2_X4_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NAND2_X4_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A2_ZN_fallingDelay lookCapAxis_NAND2_X4_A2_ZN_fallingDelay lookTable_NAND2_X4_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A2_ZN_risingTransition" lookTrAxis_NAND2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A2_ZN_risingTransition" lookCapAxis_NAND2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A2_ZN_risingTransition" lookTable_NAND2_X4_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NAND2_X4_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X4_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A2_ZN_risingTransition lookCapAxis_NAND2_X4_A2_ZN_risingTransition lookTable_NAND2_X4_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NAND2_X4_A2_ZN_fallingTransition" lookTrAxis_NAND2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NAND2_X4_A2_ZN_fallingTransition" lookCapAxis_NAND2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NAND2_X4_A2_ZN_fallingTransition" lookTable_NAND2_X4_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NAND2_X4_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NAND2_X4_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NAND2_X4_A2_ZN_fallingTransition lookCapAxis_NAND2_X4_A2_ZN_fallingTransition lookTable_NAND2_X4_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A1_ZN_risingDelay" lookTrAxis_NOR2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A1_ZN_risingDelay" lookCapAxis_NOR2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A1_ZN_risingDelay" lookTable_NOR2_X1_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NOR2_X1_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X1_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A1_ZN_risingDelay lookCapAxis_NOR2_X1_A1_ZN_risingDelay lookTable_NOR2_X1_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A1_ZN_fallingDelay" lookTrAxis_NOR2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A1_ZN_fallingDelay" lookCapAxis_NOR2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A1_ZN_fallingDelay" lookTable_NOR2_X1_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NOR2_X1_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X1_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A1_ZN_fallingDelay lookCapAxis_NOR2_X1_A1_ZN_fallingDelay lookTable_NOR2_X1_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A1_ZN_risingTransition" lookTrAxis_NOR2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A1_ZN_risingTransition" lookCapAxis_NOR2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A1_ZN_risingTransition" lookTable_NOR2_X1_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NOR2_X1_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X1_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A1_ZN_risingTransition lookCapAxis_NOR2_X1_A1_ZN_risingTransition lookTable_NOR2_X1_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A1_ZN_fallingTransition" lookTrAxis_NOR2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A1_ZN_fallingTransition" lookCapAxis_NOR2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A1_ZN_fallingTransition" lookTable_NOR2_X1_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NOR2_X1_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X1_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A1_ZN_fallingTransition lookCapAxis_NOR2_X1_A1_ZN_fallingTransition lookTable_NOR2_X1_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A2_ZN_risingDelay" lookTrAxis_NOR2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A2_ZN_risingDelay" lookCapAxis_NOR2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A2_ZN_risingDelay" lookTable_NOR2_X1_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NOR2_X1_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X1_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A2_ZN_risingDelay lookCapAxis_NOR2_X1_A2_ZN_risingDelay lookTable_NOR2_X1_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A2_ZN_fallingDelay" lookTrAxis_NOR2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A2_ZN_fallingDelay" lookCapAxis_NOR2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A2_ZN_fallingDelay" lookTable_NOR2_X1_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NOR2_X1_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X1_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A2_ZN_fallingDelay lookCapAxis_NOR2_X1_A2_ZN_fallingDelay lookTable_NOR2_X1_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A2_ZN_risingTransition" lookTrAxis_NOR2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A2_ZN_risingTransition" lookCapAxis_NOR2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A2_ZN_risingTransition" lookTable_NOR2_X1_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NOR2_X1_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X1_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A2_ZN_risingTransition lookCapAxis_NOR2_X1_A2_ZN_risingTransition lookTable_NOR2_X1_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X1_A2_ZN_fallingTransition" lookTrAxis_NOR2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X1_A2_ZN_fallingTransition" lookCapAxis_NOR2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X1_A2_ZN_fallingTransition" lookTable_NOR2_X1_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NOR2_X1_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X1_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X1_A2_ZN_fallingTransition lookCapAxis_NOR2_X1_A2_ZN_fallingTransition lookTable_NOR2_X1_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A1_ZN_risingDelay" lookTrAxis_NOR2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A1_ZN_risingDelay" lookCapAxis_NOR2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A1_ZN_risingDelay" lookTable_NOR2_X2_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NOR2_X2_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X2_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A1_ZN_risingDelay lookCapAxis_NOR2_X2_A1_ZN_risingDelay lookTable_NOR2_X2_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A1_ZN_fallingDelay" lookTrAxis_NOR2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A1_ZN_fallingDelay" lookCapAxis_NOR2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A1_ZN_fallingDelay" lookTable_NOR2_X2_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NOR2_X2_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X2_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A1_ZN_fallingDelay lookCapAxis_NOR2_X2_A1_ZN_fallingDelay lookTable_NOR2_X2_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A1_ZN_risingTransition" lookTrAxis_NOR2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A1_ZN_risingTransition" lookCapAxis_NOR2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A1_ZN_risingTransition" lookTable_NOR2_X2_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NOR2_X2_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X2_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A1_ZN_risingTransition lookCapAxis_NOR2_X2_A1_ZN_risingTransition lookTable_NOR2_X2_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A1_ZN_fallingTransition" lookTrAxis_NOR2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A1_ZN_fallingTransition" lookCapAxis_NOR2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A1_ZN_fallingTransition" lookTable_NOR2_X2_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NOR2_X2_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X2_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A1_ZN_fallingTransition lookCapAxis_NOR2_X2_A1_ZN_fallingTransition lookTable_NOR2_X2_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A2_ZN_risingDelay" lookTrAxis_NOR2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A2_ZN_risingDelay" lookCapAxis_NOR2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A2_ZN_risingDelay" lookTable_NOR2_X2_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NOR2_X2_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X2_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A2_ZN_risingDelay lookCapAxis_NOR2_X2_A2_ZN_risingDelay lookTable_NOR2_X2_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A2_ZN_fallingDelay" lookTrAxis_NOR2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A2_ZN_fallingDelay" lookCapAxis_NOR2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A2_ZN_fallingDelay" lookTable_NOR2_X2_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NOR2_X2_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X2_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A2_ZN_fallingDelay lookCapAxis_NOR2_X2_A2_ZN_fallingDelay lookTable_NOR2_X2_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A2_ZN_risingTransition" lookTrAxis_NOR2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A2_ZN_risingTransition" lookCapAxis_NOR2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A2_ZN_risingTransition" lookTable_NOR2_X2_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NOR2_X2_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X2_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A2_ZN_risingTransition lookCapAxis_NOR2_X2_A2_ZN_risingTransition lookTable_NOR2_X2_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X2_A2_ZN_fallingTransition" lookTrAxis_NOR2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X2_A2_ZN_fallingTransition" lookCapAxis_NOR2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X2_A2_ZN_fallingTransition" lookTable_NOR2_X2_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NOR2_X2_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X2_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X2_A2_ZN_fallingTransition lookCapAxis_NOR2_X2_A2_ZN_fallingTransition lookTable_NOR2_X2_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A1_ZN_risingDelay" lookTrAxis_NOR2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A1_ZN_risingDelay" lookCapAxis_NOR2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A1_ZN_risingDelay" lookTable_NOR2_X4_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NOR2_X4_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X4_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A1_ZN_risingDelay lookCapAxis_NOR2_X4_A1_ZN_risingDelay lookTable_NOR2_X4_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A1_ZN_fallingDelay" lookTrAxis_NOR2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A1_ZN_fallingDelay" lookCapAxis_NOR2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A1_ZN_fallingDelay" lookTable_NOR2_X4_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NOR2_X4_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X4_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A1_ZN_fallingDelay lookCapAxis_NOR2_X4_A1_ZN_fallingDelay lookTable_NOR2_X4_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A1_ZN_risingTransition" lookTrAxis_NOR2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A1_ZN_risingTransition" lookCapAxis_NOR2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A1_ZN_risingTransition" lookTable_NOR2_X4_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NOR2_X4_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X4_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A1_ZN_risingTransition lookCapAxis_NOR2_X4_A1_ZN_risingTransition lookTable_NOR2_X4_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A1_ZN_fallingTransition" lookTrAxis_NOR2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A1_ZN_fallingTransition" lookCapAxis_NOR2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A1_ZN_fallingTransition" lookTable_NOR2_X4_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NOR2_X4_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X4_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A1_ZN_fallingTransition lookCapAxis_NOR2_X4_A1_ZN_fallingTransition lookTable_NOR2_X4_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A2_ZN_risingDelay" lookTrAxis_NOR2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A2_ZN_risingDelay" lookCapAxis_NOR2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A2_ZN_risingDelay" lookTable_NOR2_X4_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_NOR2_X4_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X4_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A2_ZN_risingDelay lookCapAxis_NOR2_X4_A2_ZN_risingDelay lookTable_NOR2_X4_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A2_ZN_fallingDelay" lookTrAxis_NOR2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A2_ZN_fallingDelay" lookCapAxis_NOR2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A2_ZN_fallingDelay" lookTable_NOR2_X4_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_NOR2_X4_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_NOR2_X4_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A2_ZN_fallingDelay lookCapAxis_NOR2_X4_A2_ZN_fallingDelay lookTable_NOR2_X4_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A2_ZN_risingTransition" lookTrAxis_NOR2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A2_ZN_risingTransition" lookCapAxis_NOR2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A2_ZN_risingTransition" lookTable_NOR2_X4_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_NOR2_X4_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X4_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A2_ZN_risingTransition lookCapAxis_NOR2_X4_A2_ZN_risingTransition lookTable_NOR2_X4_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_NOR2_X4_A2_ZN_fallingTransition" lookTrAxis_NOR2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_NOR2_X4_A2_ZN_fallingTransition" lookCapAxis_NOR2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_NOR2_X4_A2_ZN_fallingTransition" lookTable_NOR2_X4_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_NOR2_X4_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_NOR2_X4_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_NOR2_X4_A2_ZN_fallingTransition lookCapAxis_NOR2_X4_A2_ZN_fallingTransition lookTable_NOR2_X4_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X1_A1_ZN_risingDelay" lookTrAxis_OR2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A1_ZN_risingDelay" lookCapAxis_OR2_X1_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A1_ZN_risingDelay" lookTable_OR2_X1_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_OR2_X1_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X1_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X1_A1_ZN_risingDelay lookCapAxis_OR2_X1_A1_ZN_risingDelay lookTable_OR2_X1_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X1_A1_ZN_fallingDelay" lookTrAxis_OR2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A1_ZN_fallingDelay" lookCapAxis_OR2_X1_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A1_ZN_fallingDelay" lookTable_OR2_X1_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_OR2_X1_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X1_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X1_A1_ZN_fallingDelay lookCapAxis_OR2_X1_A1_ZN_fallingDelay lookTable_OR2_X1_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X1_A1_ZN_risingTransition" lookTrAxis_OR2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A1_ZN_risingTransition" lookCapAxis_OR2_X1_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A1_ZN_risingTransition" lookTable_OR2_X1_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_OR2_X1_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X1_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X1_A1_ZN_risingTransition lookCapAxis_OR2_X1_A1_ZN_risingTransition lookTable_OR2_X1_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X1_A1_ZN_fallingTransition" lookTrAxis_OR2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A1_ZN_fallingTransition" lookCapAxis_OR2_X1_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A1_ZN_fallingTransition" lookTable_OR2_X1_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_OR2_X1_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X1_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X1_A1_ZN_fallingTransition lookCapAxis_OR2_X1_A1_ZN_fallingTransition lookTable_OR2_X1_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X1_A2_ZN_risingDelay" lookTrAxis_OR2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A2_ZN_risingDelay" lookCapAxis_OR2_X1_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A2_ZN_risingDelay" lookTable_OR2_X1_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_OR2_X1_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X1_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X1_A2_ZN_risingDelay lookCapAxis_OR2_X1_A2_ZN_risingDelay lookTable_OR2_X1_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X1_A2_ZN_fallingDelay" lookTrAxis_OR2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A2_ZN_fallingDelay" lookCapAxis_OR2_X1_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A2_ZN_fallingDelay" lookTable_OR2_X1_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_OR2_X1_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X1_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X1_A2_ZN_fallingDelay lookCapAxis_OR2_X1_A2_ZN_fallingDelay lookTable_OR2_X1_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X1_A2_ZN_risingTransition" lookTrAxis_OR2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A2_ZN_risingTransition" lookCapAxis_OR2_X1_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A2_ZN_risingTransition" lookTable_OR2_X1_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_OR2_X1_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X1_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X1_A2_ZN_risingTransition lookCapAxis_OR2_X1_A2_ZN_risingTransition lookTable_OR2_X1_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X1_A2_ZN_fallingTransition" lookTrAxis_OR2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X1_A2_ZN_fallingTransition" lookCapAxis_OR2_X1_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X1_A2_ZN_fallingTransition" lookTable_OR2_X1_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_OR2_X1_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X1_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X1_A2_ZN_fallingTransition lookCapAxis_OR2_X1_A2_ZN_fallingTransition lookTable_OR2_X1_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X2_A1_ZN_risingDelay" lookTrAxis_OR2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A1_ZN_risingDelay" lookCapAxis_OR2_X2_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A1_ZN_risingDelay" lookTable_OR2_X2_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_OR2_X2_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X2_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X2_A1_ZN_risingDelay lookCapAxis_OR2_X2_A1_ZN_risingDelay lookTable_OR2_X2_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X2_A1_ZN_fallingDelay" lookTrAxis_OR2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A1_ZN_fallingDelay" lookCapAxis_OR2_X2_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A1_ZN_fallingDelay" lookTable_OR2_X2_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_OR2_X2_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X2_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X2_A1_ZN_fallingDelay lookCapAxis_OR2_X2_A1_ZN_fallingDelay lookTable_OR2_X2_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X2_A1_ZN_risingTransition" lookTrAxis_OR2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A1_ZN_risingTransition" lookCapAxis_OR2_X2_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A1_ZN_risingTransition" lookTable_OR2_X2_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_OR2_X2_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X2_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X2_A1_ZN_risingTransition lookCapAxis_OR2_X2_A1_ZN_risingTransition lookTable_OR2_X2_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X2_A1_ZN_fallingTransition" lookTrAxis_OR2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A1_ZN_fallingTransition" lookCapAxis_OR2_X2_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A1_ZN_fallingTransition" lookTable_OR2_X2_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_OR2_X2_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X2_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X2_A1_ZN_fallingTransition lookCapAxis_OR2_X2_A1_ZN_fallingTransition lookTable_OR2_X2_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X2_A2_ZN_risingDelay" lookTrAxis_OR2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A2_ZN_risingDelay" lookCapAxis_OR2_X2_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A2_ZN_risingDelay" lookTable_OR2_X2_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_OR2_X2_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X2_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X2_A2_ZN_risingDelay lookCapAxis_OR2_X2_A2_ZN_risingDelay lookTable_OR2_X2_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X2_A2_ZN_fallingDelay" lookTrAxis_OR2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A2_ZN_fallingDelay" lookCapAxis_OR2_X2_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A2_ZN_fallingDelay" lookTable_OR2_X2_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_OR2_X2_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X2_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X2_A2_ZN_fallingDelay lookCapAxis_OR2_X2_A2_ZN_fallingDelay lookTable_OR2_X2_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X2_A2_ZN_risingTransition" lookTrAxis_OR2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A2_ZN_risingTransition" lookCapAxis_OR2_X2_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A2_ZN_risingTransition" lookTable_OR2_X2_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_OR2_X2_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X2_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X2_A2_ZN_risingTransition lookCapAxis_OR2_X2_A2_ZN_risingTransition lookTable_OR2_X2_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X2_A2_ZN_fallingTransition" lookTrAxis_OR2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X2_A2_ZN_fallingTransition" lookCapAxis_OR2_X2_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X2_A2_ZN_fallingTransition" lookTable_OR2_X2_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_OR2_X2_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X2_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X2_A2_ZN_fallingTransition lookCapAxis_OR2_X2_A2_ZN_fallingTransition lookTable_OR2_X2_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X4_A1_ZN_risingDelay" lookTrAxis_OR2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A1_ZN_risingDelay" lookCapAxis_OR2_X4_A1_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A1_ZN_risingDelay" lookTable_OR2_X4_A1_ZN_risingDelay :: CInt -> CInt -> CDouble
table_OR2_X4_A1_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X4_A1_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X4_A1_ZN_risingDelay lookCapAxis_OR2_X4_A1_ZN_risingDelay lookTable_OR2_X4_A1_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X4_A1_ZN_fallingDelay" lookTrAxis_OR2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A1_ZN_fallingDelay" lookCapAxis_OR2_X4_A1_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A1_ZN_fallingDelay" lookTable_OR2_X4_A1_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_OR2_X4_A1_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X4_A1_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X4_A1_ZN_fallingDelay lookCapAxis_OR2_X4_A1_ZN_fallingDelay lookTable_OR2_X4_A1_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X4_A1_ZN_risingTransition" lookTrAxis_OR2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A1_ZN_risingTransition" lookCapAxis_OR2_X4_A1_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A1_ZN_risingTransition" lookTable_OR2_X4_A1_ZN_risingTransition :: CInt -> CInt -> CDouble
table_OR2_X4_A1_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X4_A1_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X4_A1_ZN_risingTransition lookCapAxis_OR2_X4_A1_ZN_risingTransition lookTable_OR2_X4_A1_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X4_A1_ZN_fallingTransition" lookTrAxis_OR2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A1_ZN_fallingTransition" lookCapAxis_OR2_X4_A1_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A1_ZN_fallingTransition" lookTable_OR2_X4_A1_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_OR2_X4_A1_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X4_A1_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X4_A1_ZN_fallingTransition lookCapAxis_OR2_X4_A1_ZN_fallingTransition lookTable_OR2_X4_A1_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X4_A2_ZN_risingDelay" lookTrAxis_OR2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A2_ZN_risingDelay" lookCapAxis_OR2_X4_A2_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A2_ZN_risingDelay" lookTable_OR2_X4_A2_ZN_risingDelay :: CInt -> CInt -> CDouble
table_OR2_X4_A2_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X4_A2_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X4_A2_ZN_risingDelay lookCapAxis_OR2_X4_A2_ZN_risingDelay lookTable_OR2_X4_A2_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X4_A2_ZN_fallingDelay" lookTrAxis_OR2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A2_ZN_fallingDelay" lookCapAxis_OR2_X4_A2_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A2_ZN_fallingDelay" lookTable_OR2_X4_A2_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_OR2_X4_A2_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_OR2_X4_A2_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_OR2_X4_A2_ZN_fallingDelay lookCapAxis_OR2_X4_A2_ZN_fallingDelay lookTable_OR2_X4_A2_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_OR2_X4_A2_ZN_risingTransition" lookTrAxis_OR2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A2_ZN_risingTransition" lookCapAxis_OR2_X4_A2_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A2_ZN_risingTransition" lookTable_OR2_X4_A2_ZN_risingTransition :: CInt -> CInt -> CDouble
table_OR2_X4_A2_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X4_A2_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X4_A2_ZN_risingTransition lookCapAxis_OR2_X4_A2_ZN_risingTransition lookTable_OR2_X4_A2_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_OR2_X4_A2_ZN_fallingTransition" lookTrAxis_OR2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_OR2_X4_A2_ZN_fallingTransition" lookCapAxis_OR2_X4_A2_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_OR2_X4_A2_ZN_fallingTransition" lookTable_OR2_X4_A2_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_OR2_X4_A2_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_OR2_X4_A2_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_OR2_X4_A2_ZN_fallingTransition lookCapAxis_OR2_X4_A2_ZN_fallingTransition lookTable_OR2_X4_A2_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_A_ZN_risingDelay" lookTrAxis_XNOR2_X1_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_A_ZN_risingDelay" lookCapAxis_XNOR2_X1_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_A_ZN_risingDelay" lookTable_XNOR2_X1_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X1_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X1_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_A_ZN_risingDelay lookCapAxis_XNOR2_X1_A_ZN_risingDelay lookTable_XNOR2_X1_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_A_ZN_fallingDelay" lookTrAxis_XNOR2_X1_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_A_ZN_fallingDelay" lookCapAxis_XNOR2_X1_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_A_ZN_fallingDelay" lookTable_XNOR2_X1_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X1_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X1_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_A_ZN_fallingDelay lookCapAxis_XNOR2_X1_A_ZN_fallingDelay lookTable_XNOR2_X1_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_A_ZN_risingTransition" lookTrAxis_XNOR2_X1_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_A_ZN_risingTransition" lookCapAxis_XNOR2_X1_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_A_ZN_risingTransition" lookTable_XNOR2_X1_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X1_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X1_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_A_ZN_risingTransition lookCapAxis_XNOR2_X1_A_ZN_risingTransition lookTable_XNOR2_X1_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_A_ZN_fallingTransition" lookTrAxis_XNOR2_X1_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_A_ZN_fallingTransition" lookCapAxis_XNOR2_X1_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_A_ZN_fallingTransition" lookTable_XNOR2_X1_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X1_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X1_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_A_ZN_fallingTransition lookCapAxis_XNOR2_X1_A_ZN_fallingTransition lookTable_XNOR2_X1_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_B_ZN_risingDelay" lookTrAxis_XNOR2_X1_B_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_B_ZN_risingDelay" lookCapAxis_XNOR2_X1_B_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_B_ZN_risingDelay" lookTable_XNOR2_X1_B_ZN_risingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X1_B_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X1_B_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_B_ZN_risingDelay lookCapAxis_XNOR2_X1_B_ZN_risingDelay lookTable_XNOR2_X1_B_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_B_ZN_fallingDelay" lookTrAxis_XNOR2_X1_B_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_B_ZN_fallingDelay" lookCapAxis_XNOR2_X1_B_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_B_ZN_fallingDelay" lookTable_XNOR2_X1_B_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X1_B_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X1_B_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_B_ZN_fallingDelay lookCapAxis_XNOR2_X1_B_ZN_fallingDelay lookTable_XNOR2_X1_B_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_B_ZN_risingTransition" lookTrAxis_XNOR2_X1_B_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_B_ZN_risingTransition" lookCapAxis_XNOR2_X1_B_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_B_ZN_risingTransition" lookTable_XNOR2_X1_B_ZN_risingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X1_B_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X1_B_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_B_ZN_risingTransition lookCapAxis_XNOR2_X1_B_ZN_risingTransition lookTable_XNOR2_X1_B_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X1_B_ZN_fallingTransition" lookTrAxis_XNOR2_X1_B_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X1_B_ZN_fallingTransition" lookCapAxis_XNOR2_X1_B_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X1_B_ZN_fallingTransition" lookTable_XNOR2_X1_B_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X1_B_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X1_B_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X1_B_ZN_fallingTransition lookCapAxis_XNOR2_X1_B_ZN_fallingTransition lookTable_XNOR2_X1_B_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_A_ZN_risingDelay" lookTrAxis_XNOR2_X2_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_A_ZN_risingDelay" lookCapAxis_XNOR2_X2_A_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_A_ZN_risingDelay" lookTable_XNOR2_X2_A_ZN_risingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X2_A_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X2_A_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_A_ZN_risingDelay lookCapAxis_XNOR2_X2_A_ZN_risingDelay lookTable_XNOR2_X2_A_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_A_ZN_fallingDelay" lookTrAxis_XNOR2_X2_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_A_ZN_fallingDelay" lookCapAxis_XNOR2_X2_A_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_A_ZN_fallingDelay" lookTable_XNOR2_X2_A_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X2_A_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X2_A_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_A_ZN_fallingDelay lookCapAxis_XNOR2_X2_A_ZN_fallingDelay lookTable_XNOR2_X2_A_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_A_ZN_risingTransition" lookTrAxis_XNOR2_X2_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_A_ZN_risingTransition" lookCapAxis_XNOR2_X2_A_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_A_ZN_risingTransition" lookTable_XNOR2_X2_A_ZN_risingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X2_A_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X2_A_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_A_ZN_risingTransition lookCapAxis_XNOR2_X2_A_ZN_risingTransition lookTable_XNOR2_X2_A_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_A_ZN_fallingTransition" lookTrAxis_XNOR2_X2_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_A_ZN_fallingTransition" lookCapAxis_XNOR2_X2_A_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_A_ZN_fallingTransition" lookTable_XNOR2_X2_A_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X2_A_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X2_A_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_A_ZN_fallingTransition lookCapAxis_XNOR2_X2_A_ZN_fallingTransition lookTable_XNOR2_X2_A_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_B_ZN_risingDelay" lookTrAxis_XNOR2_X2_B_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_B_ZN_risingDelay" lookCapAxis_XNOR2_X2_B_ZN_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_B_ZN_risingDelay" lookTable_XNOR2_X2_B_ZN_risingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X2_B_ZN_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X2_B_ZN_risingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_B_ZN_risingDelay lookCapAxis_XNOR2_X2_B_ZN_risingDelay lookTable_XNOR2_X2_B_ZN_risingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_B_ZN_fallingDelay" lookTrAxis_XNOR2_X2_B_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_B_ZN_fallingDelay" lookCapAxis_XNOR2_X2_B_ZN_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_B_ZN_fallingDelay" lookTable_XNOR2_X2_B_ZN_fallingDelay :: CInt -> CInt -> CDouble
table_XNOR2_X2_B_ZN_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XNOR2_X2_B_ZN_fallingDelay = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_B_ZN_fallingDelay lookCapAxis_XNOR2_X2_B_ZN_fallingDelay lookTable_XNOR2_X2_B_ZN_fallingDelay

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_B_ZN_risingTransition" lookTrAxis_XNOR2_X2_B_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_B_ZN_risingTransition" lookCapAxis_XNOR2_X2_B_ZN_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_B_ZN_risingTransition" lookTable_XNOR2_X2_B_ZN_risingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X2_B_ZN_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X2_B_ZN_risingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_B_ZN_risingTransition lookCapAxis_XNOR2_X2_B_ZN_risingTransition lookTable_XNOR2_X2_B_ZN_risingTransition

foreign import ccall "timing.h lookTrAxis_XNOR2_X2_B_ZN_fallingTransition" lookTrAxis_XNOR2_X2_B_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XNOR2_X2_B_ZN_fallingTransition" lookCapAxis_XNOR2_X2_B_ZN_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XNOR2_X2_B_ZN_fallingTransition" lookTable_XNOR2_X2_B_ZN_fallingTransition :: CInt -> CInt -> CDouble
table_XNOR2_X2_B_ZN_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XNOR2_X2_B_ZN_fallingTransition = mkTimingTable 8 6 lookTrAxis_XNOR2_X2_B_ZN_fallingTransition lookCapAxis_XNOR2_X2_B_ZN_fallingTransition lookTable_XNOR2_X2_B_ZN_fallingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X1_A_Z_risingDelay" lookTrAxis_XOR2_X1_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_A_Z_risingDelay" lookCapAxis_XOR2_X1_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_A_Z_risingDelay" lookTable_XOR2_X1_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_XOR2_X1_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X1_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X1_A_Z_risingDelay lookCapAxis_XOR2_X1_A_Z_risingDelay lookTable_XOR2_X1_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X1_A_Z_fallingDelay" lookTrAxis_XOR2_X1_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_A_Z_fallingDelay" lookCapAxis_XOR2_X1_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_A_Z_fallingDelay" lookTable_XOR2_X1_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_XOR2_X1_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X1_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X1_A_Z_fallingDelay lookCapAxis_XOR2_X1_A_Z_fallingDelay lookTable_XOR2_X1_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X1_A_Z_risingTransition" lookTrAxis_XOR2_X1_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_A_Z_risingTransition" lookCapAxis_XOR2_X1_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_A_Z_risingTransition" lookTable_XOR2_X1_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_XOR2_X1_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X1_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X1_A_Z_risingTransition lookCapAxis_XOR2_X1_A_Z_risingTransition lookTable_XOR2_X1_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X1_A_Z_fallingTransition" lookTrAxis_XOR2_X1_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_A_Z_fallingTransition" lookCapAxis_XOR2_X1_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_A_Z_fallingTransition" lookTable_XOR2_X1_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_XOR2_X1_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X1_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X1_A_Z_fallingTransition lookCapAxis_XOR2_X1_A_Z_fallingTransition lookTable_XOR2_X1_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X1_B_Z_risingDelay" lookTrAxis_XOR2_X1_B_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_B_Z_risingDelay" lookCapAxis_XOR2_X1_B_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_B_Z_risingDelay" lookTable_XOR2_X1_B_Z_risingDelay :: CInt -> CInt -> CDouble
table_XOR2_X1_B_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X1_B_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X1_B_Z_risingDelay lookCapAxis_XOR2_X1_B_Z_risingDelay lookTable_XOR2_X1_B_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X1_B_Z_fallingDelay" lookTrAxis_XOR2_X1_B_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_B_Z_fallingDelay" lookCapAxis_XOR2_X1_B_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_B_Z_fallingDelay" lookTable_XOR2_X1_B_Z_fallingDelay :: CInt -> CInt -> CDouble
table_XOR2_X1_B_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X1_B_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X1_B_Z_fallingDelay lookCapAxis_XOR2_X1_B_Z_fallingDelay lookTable_XOR2_X1_B_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X1_B_Z_risingTransition" lookTrAxis_XOR2_X1_B_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_B_Z_risingTransition" lookCapAxis_XOR2_X1_B_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_B_Z_risingTransition" lookTable_XOR2_X1_B_Z_risingTransition :: CInt -> CInt -> CDouble
table_XOR2_X1_B_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X1_B_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X1_B_Z_risingTransition lookCapAxis_XOR2_X1_B_Z_risingTransition lookTable_XOR2_X1_B_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X1_B_Z_fallingTransition" lookTrAxis_XOR2_X1_B_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X1_B_Z_fallingTransition" lookCapAxis_XOR2_X1_B_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X1_B_Z_fallingTransition" lookTable_XOR2_X1_B_Z_fallingTransition :: CInt -> CInt -> CDouble
table_XOR2_X1_B_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X1_B_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X1_B_Z_fallingTransition lookCapAxis_XOR2_X1_B_Z_fallingTransition lookTable_XOR2_X1_B_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X2_A_Z_risingDelay" lookTrAxis_XOR2_X2_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_A_Z_risingDelay" lookCapAxis_XOR2_X2_A_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_A_Z_risingDelay" lookTable_XOR2_X2_A_Z_risingDelay :: CInt -> CInt -> CDouble
table_XOR2_X2_A_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X2_A_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X2_A_Z_risingDelay lookCapAxis_XOR2_X2_A_Z_risingDelay lookTable_XOR2_X2_A_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X2_A_Z_fallingDelay" lookTrAxis_XOR2_X2_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_A_Z_fallingDelay" lookCapAxis_XOR2_X2_A_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_A_Z_fallingDelay" lookTable_XOR2_X2_A_Z_fallingDelay :: CInt -> CInt -> CDouble
table_XOR2_X2_A_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X2_A_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X2_A_Z_fallingDelay lookCapAxis_XOR2_X2_A_Z_fallingDelay lookTable_XOR2_X2_A_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X2_A_Z_risingTransition" lookTrAxis_XOR2_X2_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_A_Z_risingTransition" lookCapAxis_XOR2_X2_A_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_A_Z_risingTransition" lookTable_XOR2_X2_A_Z_risingTransition :: CInt -> CInt -> CDouble
table_XOR2_X2_A_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X2_A_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X2_A_Z_risingTransition lookCapAxis_XOR2_X2_A_Z_risingTransition lookTable_XOR2_X2_A_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X2_A_Z_fallingTransition" lookTrAxis_XOR2_X2_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_A_Z_fallingTransition" lookCapAxis_XOR2_X2_A_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_A_Z_fallingTransition" lookTable_XOR2_X2_A_Z_fallingTransition :: CInt -> CInt -> CDouble
table_XOR2_X2_A_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X2_A_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X2_A_Z_fallingTransition lookCapAxis_XOR2_X2_A_Z_fallingTransition lookTable_XOR2_X2_A_Z_fallingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X2_B_Z_risingDelay" lookTrAxis_XOR2_X2_B_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_B_Z_risingDelay" lookCapAxis_XOR2_X2_B_Z_risingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_B_Z_risingDelay" lookTable_XOR2_X2_B_Z_risingDelay :: CInt -> CInt -> CDouble
table_XOR2_X2_B_Z_risingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X2_B_Z_risingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X2_B_Z_risingDelay lookCapAxis_XOR2_X2_B_Z_risingDelay lookTable_XOR2_X2_B_Z_risingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X2_B_Z_fallingDelay" lookTrAxis_XOR2_X2_B_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_B_Z_fallingDelay" lookCapAxis_XOR2_X2_B_Z_fallingDelay :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_B_Z_fallingDelay" lookTable_XOR2_X2_B_Z_fallingDelay :: CInt -> CInt -> CDouble
table_XOR2_X2_B_Z_fallingDelay :: Table2D CInt TransitionTime Capacitance Time
table_XOR2_X2_B_Z_fallingDelay = mkTimingTable 8 6 lookTrAxis_XOR2_X2_B_Z_fallingDelay lookCapAxis_XOR2_X2_B_Z_fallingDelay lookTable_XOR2_X2_B_Z_fallingDelay

foreign import ccall "timing.h lookTrAxis_XOR2_X2_B_Z_risingTransition" lookTrAxis_XOR2_X2_B_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_B_Z_risingTransition" lookCapAxis_XOR2_X2_B_Z_risingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_B_Z_risingTransition" lookTable_XOR2_X2_B_Z_risingTransition :: CInt -> CInt -> CDouble
table_XOR2_X2_B_Z_risingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X2_B_Z_risingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X2_B_Z_risingTransition lookCapAxis_XOR2_X2_B_Z_risingTransition lookTable_XOR2_X2_B_Z_risingTransition

foreign import ccall "timing.h lookTrAxis_XOR2_X2_B_Z_fallingTransition" lookTrAxis_XOR2_X2_B_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookCapAxis_XOR2_X2_B_Z_fallingTransition" lookCapAxis_XOR2_X2_B_Z_fallingTransition :: CInt -> CDouble
foreign import ccall "timing.h lookTable_XOR2_X2_B_Z_fallingTransition" lookTable_XOR2_X2_B_Z_fallingTransition :: CInt -> CInt -> CDouble
table_XOR2_X2_B_Z_fallingTransition :: Table2D CInt TransitionTime Capacitance TransitionTime
table_XOR2_X2_B_Z_fallingTransition = mkTimingTable 8 6 lookTrAxis_XOR2_X2_B_Z_fallingTransition lookCapAxis_XOR2_X2_B_Z_fallingTransition lookTable_XOR2_X2_B_Z_fallingTransition

